Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaee5
Interface ParamValueType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ParamValueTypeImpl

    public interface ParamValueType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `param-valueType` xsd type

Original Documentation:

This type is a general type that can be used to declare
parameter/value lists.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getParamName()` Returns the `param-name` element
`java.lang.String` | `getParamValue()` Returns the `param-value` element
`ParamValueType<T>` | `removeAllDescription()` Removes the `description` element
`ParamValueType<T>` | `removeParamName()` Removes the `param-name` element
`ParamValueType<T>` | `removeParamValue()` Removes the `param-value` element
`ParamValueType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ParamValueType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ParamValueType<T>` | `setParamName(java.lang.String paramName)` If not already created, a new `param-name` element with the given value will be created.
`ParamValueType<T>` | `setParamValue(java.lang.String paramValue)` If not already created, a new `param-value` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ParamValueType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ParamValueType`

### setDescriptionList

    ParamValueType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ParamValueType`

### removeAllDescription

    ParamValueType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ParamValueType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setParamName

    ParamValueType<T> setParamName(java.lang.String paramName)

  If not already created, a new `param-name` element with the given value will be created. Otherwise, the existing `param-name` element will be updated with the given value.

  Returns:
    the current instance of `ParamValueType`

### removeParamName

    ParamValueType<T> removeParamName()

  Removes the `param-name` element

  Returns:
    the current instance of `ParamValueType`

### getParamName

    java.lang.String getParamName()

  Returns the `param-name` element

  Returns:
    the node defined for the element `param-name`

### setParamValue

    ParamValueType<T> setParamValue(java.lang.String paramValue)

  If not already created, a new `param-value` element with the given value will be created. Otherwise, the existing `param-value` element will be updated with the given value.

  Returns:
    the current instance of `ParamValueType`

### removeParamValue

    ParamValueType<T> removeParamValue()

  Removes the `param-value` element

  Returns:
    the current instance of `ParamValueType`

### getParamValue

    java.lang.String getParamValue()

  Returns the `param-value` element

  Returns:
    the node defined for the element `param-value`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD